Issue 122376 - Splash Screen shows wrong credits-URL
Summary: Splash Screen shows wrong credits-URL
Status: RESOLVED FIXED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: 4.1.4-dev
Hardware: All All
: P3 Trivial (vote)
Target Milestone: 4.1.4
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on: 84613
Blocks:
  Show dependency tree
 
Reported: 2013-05-24 11:50 UTC by Rainer Bielefeld
Modified: 2017-09-21 20:32 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.1.3
Developer Difficulty: Easy
jim: 4.1.4_release_blocker+


Attachments
Screenshot Splash Screen (95.21 KB, image/jpeg)
2013-05-24 11:50 UTC, Rainer Bielefeld
no flags Details
Mockup with removed URL and added ASF logo (27.97 KB, image/png)
2017-04-14 12:42 UTC, Matthias Seidel
no flags Details
Mockup About dialog with ASF logo (57.15 KB, image/png)
2017-04-15 13:32 UTC, Matthias Seidel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Rainer Bielefeld 2013-05-24 11:50:46 UTC
Created attachment 80727 [details]
Screenshot Splash Screen

Splash Screen shows <http://www.openoffice.org/website/welcome/credits.html>, what does not exist. 

Installation dialogs and Menu 'Help -> About' show <http://www.openoffice.org/welcome/credits.html>, what welcomes visitors with "Last updated: 2010-11-15", so that this is not a good alternative.

So AOO should
1 - create an appropriate Credits.html (may be already exists, I don't know)
2 - use correct link on all splash screens and dialogs

So this one is a little related to "Bug 84613 - Credits URL in About box and splash screen no longer maintained", but not a real DUP (complained link here is different to the ones mentioned there).
Comment 1 Rainer Bielefeld 2013-05-24 11:51:49 UTC
Should have mentioned: "Error 404!" when I ty the URL
Comment 2 Andrea Pescetti 2013-06-12 07:59:10 UTC
The "Credits" link has already been fixed independently. The only remaining issue is the URL written in the splash screen image.

For the record, the file to be changed is
https://svn.apache.org/repos/asf/openoffice/trunk/main/default_images/introabout/intro.png
and this will be part of the ongoing logo refresh:
https://cwiki.apache.org/confluence/display/OOOUSERS/Product+Logo+Use
Comment 3 Matthias Seidel 2017-04-14 12:42:11 UTC
Created attachment 86001 [details]
Mockup with removed URL and added ASF logo
Comment 4 Matthias Seidel 2017-04-14 12:42:28 UTC
The easy way would be to remove the URL completely.

I don't think it is recognized and a clickable link is in the about dialog.

Maybe we should add back the (new) ASF logo?
Comment 5 Matthias Seidel 2017-04-15 13:32:43 UTC
Created attachment 86002 [details]
Mockup About dialog with ASF logo
Comment 6 SVN Robot 2017-04-18 16:44:23 UTC
"mseidel" committed SVN revision 1791815 into trunk:
#i122376# Removed URL from Splash Screen, added ASF logo. Added ASF logo to A...
Comment 7 Matthias Seidel 2017-04-19 15:37:02 UTC
Since only 2 graphics are changed and no code is involved, I think this would be a nice visual "enhancement" for 4.1.4.

So I will ask for release blocker.
Comment 8 Jim Jagielski 2017-05-23 13:47:30 UTC
Not a blocker (same reason as Issue 127253)
Comment 9 Matthias Seidel 2017-08-23 12:09:55 UTC
Although 4.1.4 is only a "minor" release I think it is more of a "new beginning" for AOO.

So I would like to give our users and our board a slight hint of that fact.

r1791815 contains only changes for 2 graphics, trunk builds with it for months.
And this would fix a long standing bug (since 2013).
Comment 10 Jim Jagielski 2017-09-21 20:32:39 UTC
Closed in 4.1.4-RC4 via r1809221